# cf.CellMethods

class `cf.``CellMethods`(*cell_methods)

  Bases: `list`

  A CF cell methods object to describe the characteristic of a field that is represented by cell values.

  Initialization

  Parameters: | string : str or cf.CellMethod or cf.CellMethods, optional Initialize new instance from a CF-netCDF-like cell methods string. See the `parse` method for details. By default an empty cell methods is created.
  Examples: |

      >>> c = cf.CellMethods()
      >>> c = cf.CellMethods('time: max: height: mean')

## Attributes

`axes` |
`comment` | Each cell method’s comment keyword.
`intervals` | Each cell method’s interval keyword(s).
`method` | Each cell method’s method keyword.
`cf.CellMethods.names` |
`over` | Each cell method’s over keyword.
`where` | Each cell method’s where keyword.
`within` | Each cell method’s within keyword.

## Methods

Undocumented methods behave exactly as their counterparts in a built-in list.

`copy` | Return a deep copy.
`dump` | Return a string containing a full description of the instance.
`equals` | True if two cell methods are equal, False otherwise.
`equivalent` | True if two cell methods are equivalent, False otherwise.
`has_cellmethod` | Return True if and only if this cell methods is a super set of another.
`inspect` | Inspect the attributes.
`cf.CellMethods.netcdf_translation` |

## CellMethods list-like methods

These methods provide functionality exactly as their counterparts in a built-in `list`.

`append` | L.append(object) – append object to end
`count` |
`extend` | L.extend(iterable) – extend list by appending elements from the iterable
`index` | Raises ValueError if the value is not present.
`insert` | L.insert(index, object) – insert object before index
`pop` | Raises IndexError if list is empty or index is out of range.
`remove` | L.remove(value) – remove first occurrence of value.
`reverse` | L.reverse() – reverse IN PLACE